/* 
Теоретичні питання
1. Як можна визначити, яку саме клавішу клавіатури натиснув користувач?
2. Яка різниця між event.code() та event.key()?
3. Які три події клавіатури існує та яка між ними відмінність?

Практичне завдання.
Реалізувати функцію підсвічування клавіш.

Технічні вимоги:

- У файлі index.html лежить розмітка для кнопок.
- Кожна кнопка містить назву клавіші на клавіатурі
- Після натискання вказаних клавіш - та кнопка, на якій написана ця літера, повинна фарбуватися в синій колір. При цьому якщо якась інша літера вже раніше була пофарбована в синій колір - вона стає чорною. Наприклад за натисканням Enter перша кнопка забарвлюється у синій колір. Далі, користувач натискає S, і кнопка S забарвлюється в синій колір, а кнопка Enter знову стає чорною.
Але якщо при натискані на кнопку її  не існує в розмітці, то попередня активна кнопка повина стати неактивною.
*/
 
/* 

Теория

1) Например вызвать обработчик события keydown и вывести в консоль event.key, в таком случае будет выведена клавиша которую ввёл юзер
2) event.code показывает код клавиши которую юзер нажал на клавиатуре, event.key показывает саму букву которую нажал юзер
3) keydown - событие срабатывает когда юзер нажал на кнопку, keyup - событие срабатывает когда юзер отпустил нажатую кнопку, keypress - срабатывает когда юзер зажал клавишу.

*/

// практика 

const buttons = document.querySelectorAll('.btn');
    let activeButton = null;

    document.addEventListener('keydown', (event) => {
        const keyName = event.key;

        let keyText = keyName;
        if (keyName === 'Enter') keyText = 'Enter';
        if (keyName === 'Tab') keyText = 'Tab';

        const button = Array.from(buttons).find(btn => btn.textContent === keyText);

        if (activeButton) {
            activeButton.style.backgroundColor = '#000000';
        }

        if (button) {
            button.style.backgroundColor = 'blue';
            activeButton = button;
        } else {
            activeButton = null;
        }
    });